Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGColor.AbstractModificationHandler

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor.AbstractModificationHandler

All Implemented Interfaces:
  CSSOMSVGColor.ModificationHandler

Enclosing class:
  CSSOMSVGColor

    public abstract class CSSOMSVGColor.AbstractModificationHandler

extends Object
implements CSSOMSVGColor.ModificationHandler

Provides an abstract implementation of a ModificationHandler.

Constructor Summary
`CSSOMSVGColor.AbstractModificationHandler()`

Method Summary
`void` | `blueFloatValueChanged(short unit, float fValue)` Called when the blue float value has changed.
`void` | `blueTextChanged(String text)` Called when the blue value text has changed.
`void` | `colorAppend(float f)` Called when the ICC color has been append.
`void` | `colorChanged(short type, String rgb, String icc)` Called when the SVGColor has changed.
`void` | `colorInsertedBefore(float f, int idx)` Called when the ICC color has been inserted.
`void` | `colorProfileChanged(String cp)` Called when the ICC color profile has changed.
`void` | `colorRemoved(int idx)` Called when the ICC color has been removed.
`void` | `colorReplaced(float f, int idx)` Called when the ICC color has been replaced.
`void` | `colorsCleared()` Called when the ICC colors has changed.
`void` | `colorsInitialized(float f)` Called when the ICC colors has been initialized.
`protected abstract Value` | `getValue()` Returns the associated value.
`void` | `greenFloatValueChanged(short unit, float fValue)` Called when the green float value has changed.
`void` | `greenTextChanged(String text)` Called when the green value text has changed.
`void` | `redFloatValueChanged(short unit, float fValue)` Called when the red float value has changed.
`void` | `redTextChanged(String text)` Called when the red value text has changed.
`void` | `rgbColorChanged(String text)` Called when the RGBColor text has changed.
`void` | `rgbColorICCColorChanged(String rgb, String icc)` Called when the RGBColor and the ICCColor text has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.dom.CSSOMSVGColor.ModificationHandler
`textChanged`

Constructor Detail

### CSSOMSVGColor.AbstractModificationHandler

    public CSSOMSVGColor.AbstractModificationHandler()

Method Detail

### getValue

    protected abstract Value getValue()

  Returns the associated value.

### redTextChanged

    public void redTextChanged(String text)
                        throws DOMException

  Called when the red value text has changed.

  Specified by:
    `redTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### redFloatValueChanged

    public void redFloatValueChanged(short unit,
                                     float fValue)
                              throws DOMException

  Called when the red float value has changed.

  Specified by:
    `redFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### greenTextChanged

    public void greenTextChanged(String text)
                          throws DOMException

  Called when the green value text has changed.

  Specified by:
    `greenTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### greenFloatValueChanged

    public void greenFloatValueChanged(short unit,
                                       float fValue)
                                throws DOMException

  Called when the green float value has changed.

  Specified by:
    `greenFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### blueTextChanged

    public void blueTextChanged(String text)
                         throws DOMException

  Called when the blue value text has changed.

  Specified by:
    `blueTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### blueFloatValueChanged

    public void blueFloatValueChanged(short unit,
                                      float fValue)
                               throws DOMException

  Called when the blue float value has changed.

  Specified by:
    `blueFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### rgbColorChanged

    public void rgbColorChanged(String text)
                         throws DOMException

  Called when the RGBColor text has changed.

  Specified by:
    `rgbColorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### rgbColorICCColorChanged

    public void rgbColorICCColorChanged(String rgb,
                                        String icc)
                                 throws DOMException

  Called when the RGBColor and the ICCColor text has changed.

  Specified by:
    `rgbColorICCColorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorChanged

    public void colorChanged(short type,
                             String rgb,
                             String icc)
                      throws DOMException

  Called when the SVGColor has changed.

  Specified by:
    `colorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorProfileChanged

    public void colorProfileChanged(String cp)
                             throws DOMException

  Called when the ICC color profile has changed.

  Specified by:
    `colorProfileChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorsCleared

    public void colorsCleared()
                       throws DOMException

  Called when the ICC colors has changed.

  Specified by:
    `colorsCleared` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorsInitialized

    public void colorsInitialized(float f)
                           throws DOMException

  Called when the ICC colors has been initialized.

  Specified by:
    `colorsInitialized` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorInsertedBefore

    public void colorInsertedBefore(float f,
                                    int idx)
                             throws DOMException

  Called when the ICC color has been inserted.

  Specified by:
    `colorInsertedBefore` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorReplaced

    public void colorReplaced(float f,
                              int idx)
                       throws DOMException

  Called when the ICC color has been replaced.

  Specified by:
    `colorReplaced` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorRemoved

    public void colorRemoved(int idx)
                      throws DOMException

  Called when the ICC color has been removed.

  Specified by:
    `colorRemoved` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

### colorAppend

    public void colorAppend(float f)
                     throws DOMException

  Called when the ICC color has been append.

  Specified by:
    `colorAppend` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.